Bug 147907 - Cron script denials
Cron script denials
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-12 10:46 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 11:15:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2005-02-12 10:46:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
System_crond_t (/usr/bin/find):
Denied { getattr } devpts_t:dir         
Denied { getattr } binfmt_misc_fs_t:dir 

Logrotate_t (/usr/sbin/logrotate):
Denied { read getattr } selinux_config_t:file
Denied { use } init_t:fd



Version-Release number of selected component (if applicable):
selinux-policy-strict-1.21.12-2

How reproducible:
Didn't try

Steps to Reproduce:


Additional info:
Comment 1 Daniel Walsh 2005-04-21 10:59:47 EDT
Were you running in permissive mode?

If so these are not bugs?
Comment 2 Ivan Gyurdiev 2005-04-21 11:15:15 EDT
I can't remember anymore - this was so long ago.
I remember the logrotate thing got fixed, and the other 
one I'm not seeing right now, so closing....

Right now I see denials in the log like this, where logwatch creates
a folder under root_t, and writes to it:

audit(1113984123.023:0): avc:  denied  { ioctl } for  pid=6384 exe=/usr/bin/perl
path=/logwatch.ROKh211G/messages dev=dm-0 ino=713955
scontext=system_u:system_r:system_crond_t tcontext=system_u:object_r:root_t
tclass=file
audit(1113984123.142:0): avc:  denied  { write } for  pid=6384 exe=/usr/bin/perl
path=/logwatch.ROKh211G/messages dev=dm-0 ino=713955
scontext=system_u:system_r:system_crond_t tcontext=system_u:object_r:root_t
tclass=file

but I suppose that's another bug to file.

Note You need to log in before you can comment on or make changes to this bug.